cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Lit Library issue in Thingworx

Shashi_Preetham
16-Pearl

Lit Library issue in Thingworx

Hi,

Trying to develop an Google Chart widget extension, when imported the Extension in to the TWX shows following error:

psp316r_0-1656337245708.png

Attached the Extension Zip File for reference

@slangley  @c_lowy @PaiChung @CarlesColl  @VladimirRosu @VladimirN @Rajkumar_20673 

Thanks,
Shashi.

 

Shashi Preetham (psp316r)
1 ACCEPTED SOLUTION

Accepted Solutions

Found the solution,

Got this issue when we were using npm libraries in polymer.js. Instead of using npm libraries, we used the file.js file format

Shashi_Preetham_0-1659018730740.png


Thanks,
Shashi.

Shashi Preetham (psp316r)

View solution in original post

5 REPLIES 5

Hi @psp316r

 

Can you confirm you're getting the 404 error on import?  Is the same issue you reported under this post?

 

Regards.

 

--Sharon

Yes @slangley, i'm getting an error after importing

Hi @Rajkumar_20673

 

It's still not clear at what point you're receiving the error--during the import process, or after the import when you're attempting to use the extension. 

 

Regards.

 

--Sharon

@slangley ,

 

I replicated this issue with the attached widget and I'm getting the same errors.  The widget imports into ThingWorx just fine.  However, when you try and render the widget on a mashup, it gives those 404 errors.  After looking through the /extensions folder on the server, those libraries are indeed present but for some reason ThingWorx still returns a 404.

 

-Nick

Found the solution,

Got this issue when we were using npm libraries in polymer.js. Instead of using npm libraries, we used the file.js file format

Shashi_Preetham_0-1659018730740.png


Thanks,
Shashi.

Shashi Preetham (psp316r)
Announcements